### Method

# Gdk FrameClock get_history_start

#### Declaration [src]

    gint64
    gdk_frame_clock_get_history_start (
      GdkFrameClock* frame_clock
    )

#### Description [src]

Returns the frame counter for the oldest frame available in history.

`GdkFrameClock` internally keeps a history of `GdkFrameTimings` objects for recent frames that can be retrieved with gdk_frame_clock_get_timings(). The set of stored frames is the set from the counter values given by gdk_frame_clock_get_history_start() and gdk_frame_clock_get_frame_counter(), inclusive.

#### Return value

Returns: | `gint64`
| The frame counter value for the oldest frame that is available in the internal frame history of the `GdkFrameClock`.